
-- DROP TABLE tl_factor_hdr;




CREATE TABLE tl_factor_hdr (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    class_code varchar2(15) NULL,
    factor_hdr_notes clob NULL,
    left_annot varchar2(60) NULL,
    right_annot varchar2(60) NULL,
    z_score_wght number(20,5) NULL,
    z_score_wght_2 number(20,5) NULL,
    level_number number(12)  NULL,
    factor_number number(12)  NULL
    );



ALTER TABLE tl_factor_hdr ADD    
    CONSTRAINT PK_tl_factor_hdr PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_factor_hdr_level_number 
    ON tl_factor_hdr (level_number);

    CREATE INDEX idx_tl_factor_hdr_factor_number 
    ON tl_factor_hdr (factor_number);
